OpenNICapture Class Reference

`#include </build/pcl-0nnAvv/pcl-1.7.2/doc/tutorials/content/sources/iccv2011/include/openni_capture.h>`

## Public Member Functions

| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)
| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)
| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)

## Protected Member Functions

void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()
void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()
void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()

## Protected Attributes

pcl::OpenNIGrabber | grabber_
boost::shared_ptr< pcl::visualization::PCLVisualizer > | preview_
int | frame_counter_
PointCloudPtr | most_recent_frame_
bool | use_trigger_
bool | trigger_
boost::mutex | mutex_
pcl::visualization::PCLVisualizer * | preview_

## Detailed Description

Definition at line 10 of file openni_capture.h.

## Constructor & Destructor Documentation

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

OpenNICapture::~OpenNICapture | ( |  | ) |

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

OpenNICapture::~OpenNICapture | ( |  | ) |

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

OpenNICapture::~OpenNICapture | ( |  | ) |

## Member Function Documentation

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

## Member Data Documentation

int OpenNICapture::frame_counter_

protected

Definition at line 28 of file openni_capture.h.

pcl::OpenNIGrabber OpenNICapture::grabber_

protected

Definition at line 26 of file openni_capture.h.

PointCloudPtr OpenNICapture::most_recent_frame_

protected

Definition at line 29 of file openni_capture.h.

boost::mutex OpenNICapture::mutex_

protected

Definition at line 31 of file openni_capture.h.

pcl::visualization::PCLVisualizer* OpenNICapture::preview_

protected

Definition at line 27 of file openni_capture.h.

boost::shared_ptr< pcl::visualization::PCLVisualizer > OpenNICapture::preview_

protected

Definition at line 27 of file openni_capture.h.

bool OpenNICapture::trigger_

protected

Definition at line 30 of file openni_capture.h.

bool OpenNICapture::use_trigger_

protected

Definition at line 30 of file openni_capture.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/doc/tutorials/content/sources/iccv2011/include/openni_capture.h